%define name codeblocks 
%define version 16.01
%define release %mkrel 1

Summary:	Code:Blocks is an extensible cross-platform C/C++ IDE
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/C++
Source:		%{name}-%{version}.tar.xz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRoot:	%_tmppath/%name-%version-buildroot
URL:		http://www.codeblocks.org/
BuildRequires:	gcc-c++
BuildRequires:	dos2unix
BuildRequires:	zip
BuildRequires:  %{_lib}wxgtku2.8-devel
BuildRequires:  %{_lib}boost-devel
BuildRequires:  %{_lib}hunspell-devel
BuildRequires:	gamin-devel
Requires:	wxgtk2.8
Requires:	%{_lib}wxgtku2.8_0
Requires:	valgrind
Requires:	xterm
Requires:	hunspell
Obsoletes:  	%name < %version

%description
Code:Blocks is an IDE designed for consistent look
and feel across multiple platforms. It has features
such as syntax highlighting, project importing, parallel
compiling, integrated debugging, and code completion.

%package devel
Summary:    Headers of %{name} for development
Group:      Development/Libraries
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description devel
Headers of %{name} for development.


%prep
%setup -qn %{name}-%{version}.release

# convert EOLs
find . -type f -and -not -name "*.cpp" -and -not -name "*.h" -and -not -name "*.png" -and -not -name "*.bmp" -and -not -name "*.c" -and -not -name "*.cxx" -and -not -name "*.ico" -exec dos2unix -q --keepdate {} \;

# remove execute bits from source files
find src/plugins/contrib/regex_testbed -type f -exec chmod a-x {} ';'
find src/plugins/compilergcc -type f -exec chmod a-x {} ';'
find src/plugins/contrib/IncrementalSearch -type f -exec chmod a-x {} ';'


%build
%global optflags %{optflags} -fpermissive -fno-strict-aliasing

%configure2_5x --with-contrib-plugins=all

# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="/usr/bin/install -p" install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/codeblocks/wxContribItems/*.la

mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

#install the lobby icons
install -m 644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 %SOURCE2 %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png

#menu entry
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Code:Blocks
Comment=C/C++ IDE
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;IDE;X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments;
Encoding=UTF-8
EOF

# generate linker config file for wxContribItems libraries
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{name}/wxContribItems" > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/%{name}-contrib-%{_arch}.conf

#needed for above entry
%post 
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/codeblocks/plugins
%{_libdir}/codeblocks/wxContribItems
%{_datadir}/codeblocks
%{_libdir}/lib*.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons
%{_datadir}/man
%{_datadir}/mime
%{_datadir}/pixmaps
%{_sysconfdir}/ld.so.conf.d/%{name}-contrib-%{_arch}.conf

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jan 30 2016 ghostbunny <ghostbunny at gmx dot de> 16.01-1pclos2016
- 16.01
- add BR gamin-devel

* Mon Jun 22 2015 bb <bb> 13.12-2pclos2015
- rebuld for updated wxtgk2.8

* Wed Jan 01 2014 bb <bb> 13.12-1pclos2013
- update

* Thu Aug 29 2013 Agent Smith <ruidobranco@yahoo.com.br> 12.11-1pclos2013
- Package updated to the most recent version, on Sourceforge.
- Added the dependency on libwxgtku2.8-devel, or else, it doesn't compile - missing unicode.

